Package com.google.javascript.rhino.jstype

# Class JSType.TypePair

java.lang.Object
com.google.javascript.rhino.jstype.JSType.TypePair

Enclosing class:
  `JSType`

public static class JSType.TypePair extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final JSType`
`typeA`
`final JSType`
`typeB`

## Constructor Summary

Constructors
Constructor
Description
`TypePair(JSType typeA, JSType typeB)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### typeA

public final JSType typeA

### typeB

public final JSType typeB

## Constructor Details

### TypePair

public TypePair(JSType typeA, JSType typeB)